/* tsiproxy server configuration */
#ifndef CONF_H
# define CONF_H

#include "data.h"

typedef struct {
	unsigned int			server_port; /* The port that iptvd will bind to */
	int						server_socket;
	struct sockaddr_in		server_name;
	struct hostent			*host_ptr;

	char					*pidfile;

	char					*ident;
	char					*logident;

	char					*bind_to;			/* The address that ipdv will bind to */

	char					*channels_file;		/* File in channels format (used for debugging) */
	char					*networks_file;		/* File in networks format (used for debugging) */

	char					*redirect_url;		/* Redirect all requests to this server */

	int						disable_burst;		/* burst mpeg buffer to clients */
	int						ts_sync;			/* ts proxy syncronises first 7 packets */
} CONFIG;

int load_channels(CONFIG *config);
int load_networks(CONFIG *config);

CONFIG *	config_alloc	();
void		config_free		(CONFIG **conf);

int			config_redirect_enabled(CONFIG *conf, int clientsock, char *path);

#endif
